# Socialmetrica

Social Networks data analysis utilities and tools, starting with Twitter/[Nitter](https://nitter.net/about).

To install, first install [ExoRepo](https://code.tupale.co/Offray/ExoRepo) and then from a _playground_ in [GToolkit](https://gtoolkit.com/) execute:

```smalltalk
  ExoRepo new
    repository: 'https://code.tupale.co/Offray/Socialmetrica';
    load.
```

**Important:** Following a local first approach, improved documentation is being written in Spanish at this moment.
We write it according to the context where we are sharing and using our developments.
Once we share back with non Spanish speaking audiences and developers, we will point to English documentation here.

## Minimal usage example

**Prerequisite**: You will need to have already your [Twitter API Keys](https://developer.twitter.com/en/support/twitter-api).

Load your API keys into a `TwitterAPI` object:

```smalltalk
  twitterAPI := TwitterAPI new
    apiKeysFile: FileLocator home / 'Route/To/myAPIKeysFile.json';
    loadKeys.
```
 
 (If you don't define a particular route to your API keys file, it will be loaded from a default location
 in : `~/.config/Datanalitica/twitter-api-keys.json`)

 Once you have loaded your keys, you can run your first query using the DSL (Domain Specific Lanuage):

```smalltalk
  twitterAPI usersGroupMentioning: 'feenkcom'
```

![Running the MiniDoc example](https://i.imgur.com/SjMzR4X.png)

If you click in a particular user, you can get details on him/her and an overview of his/her tweets, 
and clicking on a particular tweet you can see details on it:

![Exploring further details](https://i.imgur.com/89EInrp.png)

Next: improved data paging, chaching and storage and some support for topic modelling and clustering.

That is for now.